cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
3514
Views
10
Helpful
12
Replies
Beginner

Cisco Prime Software Update Error from GUI

Unable to download updates from Cisco Prime. I keep getting the following error: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target Screenshot below
Everyone's tags (2)
1 ACCEPTED SOLUTION

Accepted Solutions
Beginner

Re: Cisco Prime Software Update Error from GUI

This is known bug. Someone has forgot to update CA cert on PI.

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvh32926/?referring_site=bugquickviewredir

 

HTH

Richard

12 REPLIES 12
Beginner

Re: Cisco Prime Software Update Error from GUI

I had the same problem. If you go to the download page for Prime patches, you find a patch that should be installed before the Update:03-01-_2018_13-12-35.png

 

 

If you follow these steps:

1. Install Prime Infrastructure 3.2 from an OVA or ISO distribution.

2. Install the patch file:

 2a. Download the InstallerUpdateBE-1.0.5.tar.gz .

 2b. Log in to Prime Infrastructure server admin console using SSH session. For more information see the section Opening the CLI with Secure Shell in the Cisco Prime Infrastructure 3.2 Command Reference Guide .

 2c. To copy the downloaded patch file to the default local repository use the following command.
 admin# copy sftp://<localserver with sftp>//opt//InstallerUpdateBE-1.0.5.tar.gz
 disk://defaultRepo

 2d. (Optional) To view the copied file in the local repository, enter the following command:
 admin# show repo defaultRepo

 2e. Execute patch install command:
 admin# patch install InstallerUpdateBE-1.0.5.tar.gz defaultRepo

 2f. When prompted, enter Yes for the following questions:

 Save the current ADE-OS running configuration? (yes/no) [yes]: yes

 Proceed with the patch install? (yes/no) [yes]: yes

3. Clear the Cache and log in to Prime Infrastructure GUI again and proceed with the Prime Infrastructure 3.2.2 upload.

Thing is, i cant get the update to install. Here is what i did:

SRVMWCPI02/admin# copy https://pac/InstallerUpdateBE-1.0.5.tar.gz disk://defaultRepo
SRVMWCPI02/admin# show repo defaultRepo
InstallerUpdateBE-1.0.5.tar.gz
SRVMWCPI02-180102-0330__VER3.2.0.206.0_BKSZ14G_CPU8_MEM3G_RAM15G_SWAP15G_APP_CK1109049758.tar.gpg
SRVMWCPI02-180103-0330__VER3.2.0.206.0_BKSZ14G_CPU8_MEM3G_RAM15G_SWAP15G_APP_CK2755152527.tar.gpg
certnew.cer
srvmwcpi02.csr
SRVMWCPI02/admin# patch install InstallerUpdateBE-1.0.5.tar.gz defaultRepo
Save the current ADE-OS running configuration? (yes/no) [yes] ? yes
Generating configuration...
Saved the ADE-OS running configuration to startup successfully

Please ensure you have a backup of the system before proceeding.
Proceed with the patch install ? (yes/no) [yes] ? yes
Initiating Application Patch installation...
% Unable to unbundle the package. Package may be corrupt or there is not enough disk space

Thing is, i have enough free disk space on the virtual appliance. Googling the error results in suggestion that i do not have the correct version for the patch to be applied to. This is my version:

SRVMWCPI02/admin#   show version 

Cisco Application Deployment Engine OS Release: 3.1
ADE-OS Build Version: 3.1.0.001
ADE-OS System Architecture: x86_64

Copyright (c) 2009-2017 by Cisco Systems, Inc.
All rights reserved.
Hostname: SRVMWCPI02

Version information of installed applications
---------------------------------------------

Cisco Prime Infrastructure
********************************************************
Version : 3.2.0
Build : 3.2.0.0.258
Critical Fixes:
        PI 3.2.2 Maintenance Release ( 2.0.0 )
Device Support:
        Prime Infrastructure 3.2 Device Pack 1 ( 1.0 )
        Prime Infrastructure 3.2 Device Pack 2 ( 2.0 )
        Prime Infrastructure 3.2 Device Pack 3 ( 3.0 )

Can you maybe check if the patch can be installed on your system?

 

Thanks and best regards,

Mario

Highlighted
Beginner

Re: Cisco Prime Software Update Error from GUI

This is not the same issue I'm having. I'm unable to download directly from the GUI, even with my Cisco creds saved. I have no issues downloading directly from Cisco's site and uploading it to the GUI or via CLI.
Beginner

Re: Cisco Prime Software Update Error from GUI

I had the same issue. Entered my cisco.com credentials onto the software update page but got the same PKIX error afer about 5seconds loading the new update. So installing this update the old fashioned way worked just fine for me.

Beginner

Re: Cisco Prime Software Update Error from GUI

I'm going to open a TAC case and see if that gets us a faster solution.
Beginner

Re: Cisco Prime Software Update Error from GUI

Beginner

Re: Cisco Prime Software Update Error from GUI

My earlier Post has been deleted by someone, i guess it was an admin and i dont know why. So here i repost again:

 

I cannot get the patch installed:

 

SRVMWCPI02/admin# patch install InstallerUpdateBE-1.0.5.tar.gz defaultRepo
Save the current ADE-OS running configuration? (yes/no) [yes] ? yes
Generating configuration...
Saved the ADE-OS running configuration to startup successfully

Please ensure you have a backup of the system before proceeding.
Proceed with the patch install ? (yes/no) [yes] ? yes
Initiating Application Patch installation...
% Unable to unbundle the package. Package may be corrupt or there is not enough disk space

My Prime Infrastructure virtual appliance has enough free disk space. When googling, i get the suggestion that my prime version is wrong. This is my version:

 

SRVMWCPI02/admin#   show version 

Cisco Application Deployment Engine OS Release: 3.1
ADE-OS Build Version: 3.1.0.001
ADE-OS System Architecture: x86_64

Copyright (c) 2009-2017 by Cisco Systems, Inc.
All rights reserved.
Hostname: SRVMWCPI02


Version information of installed applications
---------------------------------------------

Cisco Prime Infrastructure
********************************************************
Version : 3.2.0
Build : 3.2.0.0.258
Critical Fixes:
        PI 3.2.2 Maintenance Release ( 2.0.0 )
Device Support:
        Prime Infrastructure 3.2 Device Pack 1 ( 1.0 )
        Prime Infrastructure 3.2 Device Pack 2 ( 2.0 )
        Prime Infrastructure 3.2 Device Pack 3 ( 3.0 )

Can you maybe test on your system an report back if the patch installation was successful?

 

Thanks and best regards,

Mario

 

 

Beginner

Re: Cisco Prime Software Update Error from GUI

I was able to install PI 3.2.2 Update 01 by manually downloading it from the cisco download center and uploading it onto the prime infrastructure via web interface. I tried to apply the fix InstallerUpdateBE-1.0.5 after the update, but i still get the same error message.

Re: Cisco Prime Software Update Error from GUI

I have exactly same problem.
Kindly share the resolution if you were able to fix it.
Thank you.
Beginner

Re: Cisco Prime Software Update Error from GUI

There is no other way than to fix this issue with a TAC case. Open up one with this URL:

https://mycase.cloudapps.cisco.com/case

 

Just write them that you are affected by bug CSCvh32926, and they will resolve the issue very quick. They generate 2 new certificates that they then install via a WebEx session on to your prime infrastructure server. This requires a restart of the NCS service afterwards. So be prepared to maybe plan this at a maintenance window if you prime is "business critical".

 

Procedure takes about 30min.

Re: Cisco Prime Software Update Error from GUI

Hi Mario,

I checked the Bug and understand that this is for the user who are using GUI.

I cant access GUI as my unit is in "secondary"/standby state. I have logged a call with tech and waiting for their response as other day  they called but could not fix the issue.

attached is the screenshot for details.

Regards,

Vimal

 

Beginner

Re: Cisco Prime Software Update Error from GUI

This is known bug. Someone has forgot to update CA cert on PI.

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvh32926/?referring_site=bugquickviewredir

 

HTH

Richard

Beginner

Re: Cisco Prime Software Update Error from GUI

fresh install.....a week ago
trying to upgrade 3.5 to 3.6
Initiating Application Upgrade...
Stage 1 of 7: Transferring file ...
-- complete.
Stage 2 of 7: Unpacking file ...
% Unable to unbundle the package. Package may be corrupt or there is not enough disk space
there is more than 80% free space

 

MD5 is OK

CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards